Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	dj console access library
Name:		libdjconsole
Version:	0.1.2
Release:	1
Provides:	%{name}
License:	GPL
URL:		http://djplay.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libusb-devel

%description
The DJ Console library is a C++ library that facilitates access to the
Hercules DJ Console MK I and MK II via libusb. It supports all non-audio
functions such as LEDs, buttons and controllers.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --mandir=%_mandir --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_sysconfdir/udev/rules.d/40-hpdjconsole.rules
%_libdir/*.so*
%_datadir/libdjconsole

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.la
%_libdir/*.a
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-1
- Initial Release
